Bug 190705 - Review Request: perl-Test-Base
Review Request: perl-Test-Base
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 190937
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-04 12:25 EDT by Steven Pritchard
Modified: 2011-01-19 04:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 12:56:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-05-04 12:25:09 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Base/perl-Test-Base.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Base-0.50-1.src.rpm
Description:
Testing is usually the ugly part of Perl module authoring. Perl gives you a
standard way to run tests with Test::Harness, and basic testing primitives
with Test::More. After that you are pretty much on your own to develop a
testing framework and philosophy. Test::More encourages you to make your
own framework by subclassing Test::Builder, but that is not trivial.

(This is a build requirement for the new version of perl-YAML currently in devel CVS.)
Comment 1 Steven Pritchard 2006-05-04 12:26:58 EDT
Hold off reviewing this one for a bit...  It requires Module::Install, which in
turn requires a whole stack of modules.  I'll be submitting that stack ASAP.
Comment 2 Steven Pritchard 2006-05-06 18:07:24 EDT
OK, the stack was smaller than I thought (one module).  Review away.  :-)
Comment 3 Jason Tibbitts 2006-05-07 22:01:39 EDT
You might consider adding
BuildRequires: perl(Algorithm::Diff), perl(Text::Diff), perl(YAML)
for slightly better test coverage.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl specfile template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   1917571661a8302626a8c82eb047f941  Test-Base-0.50.tar.gz
   1917571661a8302626a8c82eb047f941  Test-Base-0.50.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful, 3 tests and 4 subtests skipped.
   Files=98, Tests=418,  6 wallclock secs ( 4.71 cusr +  1.49 csys =  6.20 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 4 Jose Pedro Oliveira 2006-05-07 23:12:58 EDT
I've some reservations about the approval of this module.  It appears to have
several optional/missing Requirements and BR.

  BR: Text::Diff, YAML
  Req: Text::Diff, LWP::Simple, YAML

I think we should at least 
   BuildRequires: perl(Text::Diff)
and
   Requires: perl(Text::Diff), perl(LWP::Simple)

Note: IIRC the new version of YAML requires Test::Base  => may cause circular
dependencies problems.
Note2: It's 4:00am. I will give another look at this module in a few hours.
Comment 5 Jason Tibbitts 2006-05-07 23:43:44 EDT
You'll note I suggested the addition of those BR:s, but all they add is
additional test coverage.

As far as I know, we have no policy on optional requirements.  I suppose there's
no harm in adding them as long as they're small and we have repoclosure, but I
would argue that it would be a terrible idea to dictate that all optional
requirements be made mandatory.  So I would leave it up to the maintainer.
Comment 6 Steven Pritchard 2006-05-08 13:51:21 EDT
I'm importing -2 with explicit dependencies on Text::Diff and Algorithm::Diff. 
That makes all the tests pass.

Let me know if I need to make any further changes.
Comment 7 Jose Pedro Oliveira 2006-05-08 14:01:38 EDT
Steven,

The Algorithm::Diff requirement and build requirement can be dropped
as Text::Diff requires it.

The Test::Base::Filter may use the LWP::Simple module to download files. Being
this a test module I think it should be nice to require it (not BR).

jpo
Comment 8 Steven Pritchard 2006-05-08 14:14:30 EDT
(In reply to comment #7)
> The Algorithm::Diff requirement and build requirement can be dropped
> as Text::Diff requires it.
> 
> The Test::Base::Filter may use the LWP::Simple module to download files. Being
> this a test module I think it should be nice to require it (not BR).

Done and done.
Comment 9 Jose Pedro Oliveira 2006-05-08 14:25:26 EDT
Thanks Steven.
Comment 10 Steven Pritchard 2006-05-09 12:56:37 EDT
Imported into CVS, branches created, and builds pending.
Comment 11 Mathieu Bridon 2011-01-19 04:22:39 EST
This package is in EPEL5 but not EPEL6. Is there any reason for that?

I would like to see this package in EPEL6, and I am willing to help co-maintain it.

Note You need to log in before you can comment on or make changes to this bug.